.humidity-widget {
    display: flex;
    flex-direction: column;
    align-items: center;
    
  }

  .custom-icon {
    background-image: url('/assets/humidity-sensor.png');
    /* Set width and height as needed */
    width: 50px;
    height: 50px;
  }
  
  
  .humidity-circle {
    width: 100px;
    height: 100px;
  }
  
  .circle-bg {
    fill: none;
    stroke: #eee;
    stroke-width: 3.8;
  }
  
  .circle {
    fill: none;
    stroke: #00b4d8; /* Blue color for the humidity indicator */
    stroke-width: 2.8;
    stroke-linecap: round;
    transform: rotate(-90deg);
    transform-origin: 50% 50%;
    transition: stroke-dasharray 0.3s ease-out;
  }
  
  .humidity-value {
    position: absolute;
    line-height: 100px; /* Same as SVG height */
    text-align: center;
    width: 100px; /* Same as SVG width */
    font-size: 2em;
    font-family: Arial, sans-serif;
  }
  
  .humidity-icon {
    font-size: 1.5em;
  }
  
  .humidity-title {
    font-size: 1.2em;
    font-weight: bold;
    margin-bottom: 10px;
    text-align: left;
    font-family: Arial, sans-serif;
  }